searchNodes=[{"type":"module","title":"Membrane.Native.RawVideo","doc":"Unifex-compatible implementation of the Membrane.RawVideo struct. Currently, unifex does not support tuples in the structs, so we have to decompose the framerate into two fields.","ref":"Membrane.Native.RawVideo.html"},{"type":"function","title":"Membrane.Native.RawVideo.from_membrane_raw_video/1","doc":"Creates unifex compatible struct from Membrane.RawVideo struct. It may raise error when RawVideo with not supported pixel format is provided.","ref":"Membrane.Native.RawVideo.html#from_membrane_raw_video/1"},{"type":"function","title":"Membrane.Native.RawVideo.to_membrane_raw_video/1","doc":"Convert a native raw video to the Membrane.RawVideo counterpart.","ref":"Membrane.Native.RawVideo.html#to_membrane_raw_video/1"},{"type":"type","title":"Membrane.Native.RawVideo.framerate_den/0","doc":"The denominator of the number of frames per second. To avoid using tuple type, it is described by 2 separate integers number. The default value is 1.","ref":"Membrane.Native.RawVideo.html#t:framerate_den/0"},{"type":"type","title":"Membrane.Native.RawVideo.framerate_num/0","doc":"A numerator of the number of frames per second. To avoid using tuple type, it is described by 2 separate integers number.","ref":"Membrane.Native.RawVideo.html#t:framerate_num/0"},{"type":"type","title":"Membrane.Native.RawVideo.t/0","doc":"","ref":"Membrane.Native.RawVideo.html#t:t/0"},{"type":"module","title":"Membrane.RawVideo","doc":"This module provides a struct ( Membrane.RawVideo.t/0 ) describing raw video frames.","ref":"Membrane.RawVideo.html"},{"type":"function","title":"Membrane.RawVideo.frame_size/1","doc":"Simple wrapper over frame_size/3 . Returns the size of raw video frame in bytes for the given caps.","ref":"Membrane.RawVideo.html#frame_size/1"},{"type":"function","title":"Membrane.RawVideo.frame_size/3","doc":"Returns the size of raw video frame in bytes (without padding). It may result in error when dimensions don't fulfill requirements for the given format (e.g. I420 requires both dimensions to be divisible by 2).","ref":"Membrane.RawVideo.html#frame_size/3"},{"type":"function","title":"Membrane.RawVideo.from_native_raw_video/1","doc":"Convert back a native raw video to the Membrane.RawVideo counterpart.","ref":"Membrane.RawVideo.html#from_native_raw_video/1"},{"type":"function","title":"Membrane.RawVideo.to_native_raw_video/1","doc":"Creates unifex-compatible struct from Membrane.RawVideo struct. Raises an error when RawVideo with an unsupported pixel format is provided.","ref":"Membrane.RawVideo.html#to_native_raw_video/1"},{"type":"type","title":"Membrane.RawVideo.aligned/0","doc":"Determines, whether buffers are aligned i.e. each buffer contains one frame.","ref":"Membrane.RawVideo.html#t:aligned/0"},{"type":"type","title":"Membrane.RawVideo.framerate/0","doc":"Number of frames per second. To avoid using floating point numbers, it is described by 2 integers number of frames per timeframe in seconds. For example, NTSC's framerate of ~29.97 fps is represented by {30_000, 1001}","ref":"Membrane.RawVideo.html#t:framerate/0"},{"type":"type","title":"Membrane.RawVideo.height/0","doc":"Height of single frame in pixels.","ref":"Membrane.RawVideo.html#t:height/0"},{"type":"type","title":"Membrane.RawVideo.pixel_format/0","doc":"Format used to encode the color of every pixel in each video frame.","ref":"Membrane.RawVideo.html#t:pixel_format/0"},{"type":"type","title":"Membrane.RawVideo.t/0","doc":"","ref":"Membrane.RawVideo.html#t:t/0"},{"type":"type","title":"Membrane.RawVideo.width/0","doc":"Width of single frame in pixels.","ref":"Membrane.RawVideo.html#t:width/0"},{"type":"extras","title":"Membrane Multimedia Framework: Raw video format definition","doc":"This package provides the definition of raw (uncompressed) video frames format for the elements written with Membrane Multimedia Framework .","ref":"readme.html"},{"type":"extras","title":"Membrane Multimedia Framework: Raw video format definition - Installation","doc":"Unless you're developing an Membrane Element it's unlikely that you need to use this package directly in your app, as normally it is going to be fetched as a dependency of any element that operates on a raw (uncompressed) video stream. However, if you are developing an Element or need to add it due to any other reason, just add the following line to your deps in the mix.exs and run mix deps.get . { :membrane_raw_video_format , &quot;~&gt; 0.4.0&quot; }","ref":"readme.html#installation"},{"type":"extras","title":"Membrane Multimedia Framework: Raw video format definition - Copyright and License","doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#copyright-and-license"},{"type":"extras","title":"License","doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2018 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html"}]